class CreateRuleSets < ActiveRecord::Migration[6.1]
  def change
    create_table :rule_sets do |t|
      t.string :name, null: false
      t.text :description
      t.boolean :enabled, default: true, null: false
      t.string :operator, default: "AND", limit: 3, null: false
      t.boolean :inverted, default: false, null: false

      t.timestamps
    end
  end
end
