class CreateRules < ActiveRecord::Migration[6.1]
  def change
    create_table :rules do |t|
      t.references :rule_set, null: false, foreign_key: true
      t.string :name, null: false
      t.boolean :enabled, default: true, null: false
      t.string :subject_type, null: false
      t.string :subject_value
      t.string :condition_type, default: "contain", null: false
      t.string :condition_value
      t.boolean :inverted, default: false, null: false

      t.timestamps
    end
  end
end
