# frozen_string_literal: true

module EmailAction
  
  class Error < ::StandardError
  end

  class Base

    attr_reader :action

    def initialize(action:)
      @action = action
    end

    def process(email)
      fail NotImplementedError
    end

  end

end
